%define oname wt
Name: lib%oname
Version: 2.99.5
Release: alt1

Summary: a C++ Web Toolkit

Url: http://www.webtoolkit.eu/wt/
License: GPL
Group: Development/C

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://prdownloads.sf.net/witty/%oname-%version.tar.bz2

# Automatically added by buildreq on Sun Jul 12 2009
BuildRequires: boost-asio-devel boost-filesystem-devel boost-intrusive-devel boost-program_options-devel boost-signals-devel ccmake gcc-c++ glib2-devel libMySQL-devel libSM-devel libXcursor-devel libXext-devel libXfixes-devel libXi-devel libXinerama-devel libXrandr-devel libXrender-devel libfcgi-devel libgd2-devel libmysql++-devel phonon-devel qt4-settings

# Commented,boost-asio-devel also provides asio
#BuildConflicts: asio

%description
Wt (pronounced 'witty') is a C++ library and application server for
developing and deploying web applications.
The API is widget-centric, and inspired by existing C++ Graphical User
Interface (GUI) APIs. To the developer, it offers complete abstraction
of any web-specific implementation details.

%package devel
Summary: The files needed for %oname development
Summary(ru_RU.KOI8-R): ,       %oname
Group: Development/C
Requires: %name = %version-%release

%description devel
The %oname-devel package contains the necessary include files
for developing applications with %oname

%description devel -l ru_RU.KOI8-R
 %oname-devel    
  ,   %oname.

%prep
%setup -q -n %oname-%version
%__subst "s| lib| %_lib|g" src/CMakeLists.txt

%build
export QTDIR=%_qt4dir
mkdir build
cd build
cmake \
	-DCMAKE_C_FLAGS="%optflags" \
	-DCMAKE_CXX_FLAGS="%optflags" \
	-DQT_QMAKE_EXECUTABLE=$QTDIR/bin/qmake \
	-DCMAKE_BUILD_TYPE=Release \
%if %_lib == lib64
	-DLIB_SUFFIX=64 \
%endif
	-DLIB_INSTALL_DIR=%_libdir \
	-DCMAKE_INSTALL_PREFIX=%prefix \
	-DWT_CMAKE_FINDER_INSTALL_DIR=share/CMake/Modules \
	../
%make_build


%install
cd build
%makeinstall_std

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc AUTHORS Changelog INSTALL ReleaseNotes.html
%doc doc
%_libdir/*.so.*
%_datadir/Wt/

%files devel
%doc examples/
%_includedir/*
%_libdir/*.so
%dir %_sysconfdir/wt/
%config(noreplace) %_sysconfdir/wt/wt_config.xml
%_datadir/CMake/Modules/FindWt.cmake
#%_pkgconfigdir/*

%changelog
* Wed Sep 23 2009 Vitaly Lipatov <lav@altlinux.ru> 2.99.5-alt1
- new version 2.99.5 (with rpmrb script)

* Mon Aug 24 2009 Vitaly Lipatov <lav@altlinux.ru> 2.99.3-alt1
- new version 2.99.3 (with rpmrb script)

* Sun Jul 12 2009 Vitaly Lipatov <lav@altlinux.ru> 2.99.2-alt1
- new version 2.99.2 (with rpmrb script)
- update buildreq

* Sat Mar 07 2009 Vitaly Lipatov <lav@altlinux.ru> 2.2.3-alt1
- new version 2.2.3 (with rpmrb script)

* Wed Nov 05 2008 Vitaly Lipatov <lav@altlinux.ru> 2.2.1-alt1
- new version 2.2.1 (with rpmrb script)
- update buildreq

* Fri Sep 26 2008 Vitaly Lipatov <lav@altlinux.ru> 2.2.0-alt1
- new version 2.2.0 (with rpmrb script)

* Fri Aug 01 2008 Vitaly Lipatov <lav@altlinux.ru> 2.1.5-alt1
- new version 2.1.5 (with rpmrb script)

* Sat Jul 05 2008 Vitaly Lipatov <lav@altlinux.ru> 2.1.4-alt1
- new version 2.1.4 (with rpmrb script)
- update buildreqs

* Wed Jun 18 2008 Vitaly Lipatov <lav@altlinux.ru> 2.1.3-alt1
- new version 2.1.3 (with rpmrb script)

* Wed Apr 23 2008 Vitaly Lipatov <lav@altlinux.ru> 2.1.2-alt1
- new version 2.1.2 (with rpmrb script)

* Thu Mar 27 2008 Vitaly Lipatov <lav@altlinux.ru> 2.1.0-alt1
- new version 2.1.0 (with rpmrb script)

* Thu Dec 27 2007 Vitaly Lipatov <lav@altlinux.ru> 2.0.6-alt1
- initial build for ALT Linux Sisyphus
